git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Using AMQP against ActiveMQ 5


On 12/7/18 9:19 AM, kkaczkow wrote:
Hey guys!

I was wondering is there is any handicap related to using AMQP against
ActiveMQ instead of OpenWire? Also is using Apache Qpid, which implements
JMS 2.0, fully compatible with ActiveMQ 5?

When used against ActiveMQ 5.x brokers the Qpid JMS client features for JMS 1.1 will work, other JMS 2.0 may or may not work depending on whether it is a client side or broker side feature. Things like shared subscriptions won't work so if that is what you are after then you need to move to Artemis as that supports the JMS 2.0 API.

Qpid JMS is tested regularly with both 5.x brokers and Artemis brokers so you shouldn't have issue with either however performance against 5.x will be significantly lower compared to Artemis so I'd recommend testing if you go with 5.x to ensure it meets your needs.


Does anyone has any remarks about using Qpid against Artemis?

Cheers,
Konrad



--
Sent from: http://activemq.2283324.n4.nabble.com/ActiveMQ-User-f2341805.html


--
Tim Bish